### Class

# Ide LspSymbolNode

#### Description

    final class Ide.LspSymbolNode : Ide.SymbolNode {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeSymbolNode
- GObject

#### Instance methods

###### ide_lsp_symbol_node_get_parent_name

No description available.

###### ide_lsp_symbol_node_is_parent_of

No description available.

##### Methods inherited from IdeSymbolNode (6)

###### ide_symbol_node_get_flags

No description available.

###### ide_symbol_node_get_kind

No description available.

###### ide_symbol_node_get_location_async

No description available.

###### ide_symbol_node_get_location_finish

Completes the request to gets the location for the symbol node.

Available since: 3.32

###### ide_symbol_node_get_name

No description available.

###### ide_symbol_node_get_use_markup

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from IdeSymbolNode (4)

###### Ide.SymbolNode:flags

No description available.

###### Ide.SymbolNode:kind

No description available.

###### Ide.SymbolNode:name

No description available.

###### Ide.SymbolNode:use-markup

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspSymbolNodeClass {
      IdeSymbolNodeClass parent_class;

    }

###### Class members

`parent_class` |
    IdeSymbolNodeClass
| No description available.